Subject: bug#23002: 25.0.92; sluggish M-x

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Mar 2016 18:08:25 +0200

> From: Leo Liu <[email-masked]>
> Date: Sun, 13 Mar 2016 12:01:56 +0800
> Cc: Stefan Monnier <[email-masked]>
> 
> 1. start a NEW GUI Emacs with `emacs -q' and go to the *Scratch* buffer
> 2. M-x emacs-lisp-mode RET
> 
> The cursor stays in the minibuffer (see the screenshot; long enough for
> me to take a screenshot) for a few seconds before the message "You can
> run the command ‘emacs-lisp-mode’ with M-x e-li-mo RET".

I cannot reproduce this on my system.  (You didn't say which system is
yours, nor which commit is was built from, so I cannot compare that.)
Here, the cursor exits the minibuffer immediately, and if I type
something, the hint message is never shown (as I'd expect).

Sounds like sit-for is not working correctly on your system, but I
have no idea why that should happen.